Name:           python-geolime
Version:        1.4.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        GeoLime Geostats Library

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/deeplime-io/geolime-pypi-package
Source:         %{pypi_source geolime}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'geolime' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-geolime
Summary:        %{summary}

%description -n python3-geolime %_description


%prep
%autosetup -p1 -n geolime-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-geolime -f %{pyproject_files}


%changelog
%autochangelog